Page MenuHomePhabricator

[ASan] Fix range check in AddrIsInHighShadow
ClosedPublic

Authored by dmajor on Apr 30 2018, 3:07 PM.

Details

Summary

This appears to be a copy/paste artifact from AddrIsInHighMem. It was caught by Firefox's jit-tests on Win64.

Diff Detail

Repository
rL LLVM

Event Timeline

dmajor created this revision.Apr 30 2018, 3:07 PM
Herald added subscribers: Restricted Project, kubamracek. · View Herald TranscriptApr 30 2018, 3:07 PM
dmajor added a comment.May 1 2018, 1:08 PM

Hmm, come to think of it, AddrIsInMidShadow has the same bug, right?

dmajor updated this revision to Diff 144773.May 1 2018, 1:31 PM

Fixed AddrIsInMidShadow too.

rnk accepted this revision.May 10 2018, 4:26 PM

lgtm

I think I see why this wasn't caught earlier. It's mostly used to describe addresses in ASan reports, and then it's used through AddrIsInShadow only by the Windows AV handler.

This revision is now accepted and ready to land.May 10 2018, 4:26 PM
This revision was automatically updated to reflect the committed changes.